extends Node
class_name Sequence

signal sequence_completed()

var is_playing : bool = false

# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	pass # Replace with function body.

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(_delta: float) -> void:
	if (is_playing):
		advance_sequence(_delta)

func play() -> Sequence:
	is_playing = true
	return self

func advance_sequence(_delta: float) -> Sequence:
	return self

func complete_sequence() -> Sequence:
	sequence_completed.emit()
	queue_free()
	return self
